curl --request DELETE \
--url https://{instance}.omniapp.co/api/v1/documents/{documentId}/draft \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://{instance}.omniapp.co/api/v1/documents/{documentId}/draft"
payload = { "branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({branchId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://{instance}.omniapp.co/api/v1/documents/{documentId}/draft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Draft deleted successfully"
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}Archive draft
Archives the current draft of the specified document. Archived drafts will be placed in the in the Archived section of the Drafts drawer in the document’s workbook and retained for 30 days.
If a branch is specified, the current draft on the branch is archived.
Authorizations
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Path Parameters
The ID of the document to archive the draft from. To retrieve the ID, navigate to File > Document settings in the document and then click Settings. The Identifier field contains the document ID.
Body
The UUID of the branch the draft is attached to. To retrieve branch IDs, use the List models endpoint with modelKind=BRANCH.
Response
Draft archived successfully
"Draft deleted successfully"
Was this page helpful?

